libstdc++: std::_Fwd_list_iterator< _Tp > Struct Template Reference

libstdc++

std::_Fwd_list_iterator< _Tp > Struct Template Reference

`#include <forward_list.h>`

## Public Types
typedef _Fwd_list_node< _Tp > | _Node
typedef _Fwd_list_iterator< _Tp > | _Self
typedef ptrdiff_t | difference_type
typedef std::forward_iterator_tag | iterator_category
typedef _Tp * | pointer
typedef _Tp & | reference
typedef _Tp | value_type

## Public Member Functions
| _Fwd_list_iterator (_Fwd_list_node_base *__n) noexcept
reference | operator* () const noexcept
_Self & | operator++ () noexcept
_Self | operator++ (int) noexcept
pointer | operator-> () const noexcept

## Friends
template<typename, typename>
struct | _Fwd_list_base
struct | _Fwd_list_const_iterator< _Tp >
template<typename, typename>
class | forward_list
bool | operator== (const _Self &__x, const _Self &__y) noexcept

## Detailed Description

template<typename _Tp>
struct std::_Fwd_list_iterator< _Tp >

A forward_list::iterator.

All the functions are op overloads.

Definition at line 163 of file forward_list.h.

## Member Typedef Documentation

## ◆ _Node

template<typename _Tp>

typedef _Fwd_list_node<_Tp> std::_Fwd_list_iterator< _Tp >::_Node

Definition at line 166 of file forward_list.h.

## ◆ _Self

template<typename _Tp>

typedef _Fwd_list_iterator<_Tp> std::_Fwd_list_iterator< _Tp >::_Self

Definition at line 165 of file forward_list.h.

## ◆ difference_type

template<typename _Tp>

typedef ptrdiff_t std::_Fwd_list_iterator< _Tp >::difference_type

Definition at line 171 of file forward_list.h.

## ◆ iterator_category

template<typename _Tp>

typedef std::forward_iterator_tag std::_Fwd_list_iterator< _Tp >::iterator_category

Definition at line 172 of file forward_list.h.

## ◆ pointer

template<typename _Tp>

typedef _Tp* std::_Fwd_list_iterator< _Tp >::pointer

Definition at line 169 of file forward_list.h.

## ◆ reference

template<typename _Tp>

typedef _Tp& std::_Fwd_list_iterator< _Tp >::reference

Definition at line 170 of file forward_list.h.

## ◆ value_type

template<typename _Tp>

typedef _Tp std::_Fwd_list_iterator< _Tp >::value_type

Definition at line 168 of file forward_list.h.

## Constructor & Destructor Documentation

## ◆ _Fwd_list_iterator() [1/2]

template<typename _Tp>

std::_Fwd_list_iterator< _Tp >::_Fwd_list_iterator | ( |  | ) |
| inlinenoexcept

Definition at line 174 of file forward_list.h.

## ◆ _Fwd_list_iterator() [2/2]

template<typename _Tp>

std::_Fwd_list_iterator< _Tp >::_Fwd_list_iterator | ( | _Fwd_list_node_base * | __n | ) |
| inlineexplicitnoexcept

Definition at line 178 of file forward_list.h.

## Member Function Documentation

## ◆ operator*()

template<typename _Tp>

reference std::_Fwd_list_iterator< _Tp >::operator* | ( |  | ) | const
| inlinenoexcept

Definition at line 183 of file forward_list.h.

## ◆ operator++() [1/2]

template<typename _Tp>

_Self & std::_Fwd_list_iterator< _Tp >::operator++ | ( |  | ) |
| inlinenoexcept

Definition at line 192 of file forward_list.h.

## ◆ operator++() [2/2]

template<typename _Tp>

_Self std::_Fwd_list_iterator< _Tp >::operator++ | ( | int |  | ) |
| inlinenoexcept

Definition at line 199 of file forward_list.h.

## ◆ operator->()

template<typename _Tp>

pointer std::_Fwd_list_iterator< _Tp >::operator-> | ( |  | ) | const
| inlinenoexcept

Definition at line 188 of file forward_list.h.

## Friends And Related Symbol Documentation

## ◆ _Fwd_list_base

template<typename _Tp>
template<typename, typename>

friend struct _Fwd_list_base
| friend

Definition at line 228 of file forward_list.h.

## ◆ _Fwd_list_const_iterator< _Tp >

template<typename _Tp>

friend struct _Fwd_list_const_iterator< _Tp >
| friend

Definition at line 228 of file forward_list.h.

## ◆ forward_list

template<typename _Tp>
template<typename, typename>

friend class forward_list
| friend

Definition at line 226 of file forward_list.h.

## ◆ operator==

template<typename _Tp>

bool operator== | ( | const _Self & | __x,
|  | const _Self & | __y )
| friend

Forward list iterator equality comparison.

Definition at line 211 of file forward_list.h.

The documentation for this struct was generated from the following file:

- forward_list.h